import { Story } from '@storybook/react';
import { SnackbarProps } from '@mui/material';
import { Snackbar } from './Snackbar';
declare const _default: {
    title: string;
    component: typeof Snackbar;
    argTypes: {
        autoHideDuration: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        disableWindowBlurListener: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        resumeHideDuration: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onClose: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<SnackbarProps>;
export declare const AlertSuccess: Story<SnackbarProps>;
export declare const AlertError: Story<SnackbarProps>;
export declare const TopCenter: Story<SnackbarProps>;
export declare const TopRight: Story<SnackbarProps>;
export declare const TopLeft: Story<SnackbarProps>;
export declare const BottomCenter: Story<SnackbarProps>;
export declare const BottomRight: Story<SnackbarProps>;
export declare const BottomLeft: Story<SnackbarProps>;
export declare const StatefulSnackbar: Story<SnackbarProps>;
