import { Story } from '@storybook/react';
import { CardProps } from '@mui/material';
import { Card } from './Card';
declare const _default: {
    title: string;
    component: typeof Card;
    argTypes: {
        children: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        classes: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        raised: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<CardProps>;
export declare const Media: Story<CardProps>;
export declare const ComplexInteraction: Story<CardProps>;
