/// <reference types="react" />
import { DataGridProProps, getGridStringOperators, getGridNumericColumnOperators, getGridDateOperators } from '@mui/x-data-grid-pro';
export interface XGridProps extends DataGridProProps {
    toolbar?: boolean;
    language?: 'DE' | 'EN';
}
export declare function XGrid(props: XGridProps): JSX.Element;
export { getGridStringOperators, getGridNumericColumnOperators, getGridDateOperators };
