import { Story } from '@storybook/react';
import { Link, LinkProps } from './Link';
declare const _default: {
    title: string;
    component: typeof Link;
    argTypes: {
        color: {
            control: string;
            options: string[];
        };
        component: {
            control: {
                type: string;
            };
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<LinkProps>;
export declare const ButtonLink: Story<LinkProps>;
