import { Story } from '@storybook/react';
import { AccordionProps } from '@mui/material';
import { Accordion } from './Accordion';
declare const _default: {
    title: string;
    component: typeof Accordion;
    argTypes: {
        defaultExpanded: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        expanded: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        square: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        onChange: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<AccordionProps>;
export declare const Disabled: Story<AccordionProps>;
export declare const DefaultExpanded: Story<AccordionProps>;
export declare const Square: Story<AccordionProps>;
export declare const AccordionAction: Story<AccordionProps>;
